Name:           steamcontroller
Version:        1.2
Release:        %mkrel 14
Summary:        Standalone Steam Controller userland driver
Group:          Development/Python
License:        MIT
URL:            https://github.com/ynsta/steamcontroller
Source0:        https://github.com/ynsta/steamcontroller/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(libusb1)
BuildRequires:  python3dist(setuptools)
Requires:       steam-udevrules
Recommends:     %{name}-tools

%description
This project is a standalone userland driver for the Steam Controller
to be used outside of the Steam client.

Two modes are working with haptic feedback:
 - sc-xbox.py: Xbox 360 gamepad emulator
 - sc-mixed.py: Mixed Xbox/desktop emulation
 - sc-desktop.py: mouse/keyboard mode

Other tools are provided in the %{name}-tools package.

%package tools
Summary:        Advanced tools for the standalone Steam Controller driver
BuildArch:      noarch
# Qt libs necessary for sc-gyro-plot.py
Requires:       python3-pyside2-core
Requires:       python3-pyside2-gui
Requires:       python3-pyside2-opengl
Requires:       python3-pyside2-svg
Requires:       python3dist(pyqtgraph)
Requires:       %{name} >= %{version}-%{release}

%description tools
This package provides advanced tools for the standalone Steam Controller
driver (see the package `steamcontroller`):
 - sc-dump.py: Dump raw messages from the controller
 - sc-gyro-plot.py: Plot curves from gyro data (requires python3-pyqtgraph
   and python3-pyside installed)
 - sc-test-cmsg.py: Send control message to the controller. For example:
   `echo 8f07005e 015e01f4 01000000 | sc-test-cmsg.py` will make the
   controller beep
 - vdf2json.py/json2vdf.py: Convert Steam VDF file to and from JSON

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%py3_install

%files
%doc LICENSE README.md
%{_bindir}/sc-desktop.py
%{_bindir}/sc-mixed.py
%{_bindir}/sc-xbox.py
%{python3_sitearch}/%{name}/
%{python3_sitearch}/libuinput.cpython-%{python3_version_nodots}-*.so
%{python3_sitearch}/python_%{name}-%{version}-py%{python3_version}.egg-info

%files tools
%{_bindir}/sc-dump.py
%{_bindir}/sc-gyro-plot.py
%{_bindir}/sc-test-cmsg.py
%{_bindir}/vdf2json.py
%{_bindir}/json2vdf.py


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 1.2-14.mga9
+ Revision: 1799178
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 1.2-13.mga9
+ Revision: 1779175
- Rebuild for python 3.10
+ tv <tv>
- Rebuild for python-3.10
+ tmb <tmb>
- rebuild for python 3.10

* Wed Mar 24 2021 tv <tv> 1.2-10.mga9
+ Revision: 1708765
- rebuild for python 3.9
+ daviddavid <daviddavid>
- rebuild for python 3.9

* Fri Aug 14 2020 neoclust <neoclust> 1.2-8.mga8
+ Revision: 1614083
- Fix python pyside2 deps

* Wed Jul 22 2020 ovitters <ovitters> 1.2-7.mga8
+ Revision: 1608027
- rebuild for get rid of pythonegg requires
- convert pythonegg(3) into python3dist()

* Sun Feb 16 2020 umeabot <umeabot> 1.2-6.mga8
+ Revision: 1531822
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 1.2-5.mga8
+ Revision: 1441174
- fix file list
- rebuild for python-3.8

* Tue Jan 08 2019 tv <tv> 1.2-4.mga7
+ Revision: 1351841
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.2-3.mga7
+ Revision: 1301193
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2-2.mga7
+ Revision: 1135719
- Rebuild for python 3.6

* Mon Dec 05 2016 akien <akien> 1.2-1.mga6
+ Revision: 1072497
- Version 1.2

* Sat Sep 24 2016 akien <akien> 1.0-0.20160914.1.mga6
+ Revision: 1055891
- New git snapshot

* Sat Apr 30 2016 akien <akien> 1.0-0.20160208.2.mga6
+ Revision: 1008132
- Better patch for dependencies as pushed upstream
- Split the advanced tools in their own package, as they require Qt dependencies

* Sat Apr 30 2016 akien <akien> 1.0-0.20160208.1.mga6
+ Revision: 1008101
- Fix dependencies for AutoReq
- Depend on steam-udevrules
- imported package steamcontroller

